{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    " m",
    "s "
  ],
  "key": {
    "m": {
      "item": "minecraft:iron_nugget"
    },
    "s": {
      "item": "minecraft:stick"
    }
  },
  "result": {
    "item": "farmersdelight:iron_knife"
  }
}